Você está integrando a API pública da Telepatia Synapse.
Endpoint: GET /v1/audits
Base URL: https://scribe-api.telepatia.ai
Auth: Authorization: Bearer ${SYNAPSE_API_KEY}
Requisição:
- page [query]: integer (opcional, min=1) — Page number (1-based).
- limit [query]: integer (opcional, min=1, max=50) — Number of items per page.
- reviewStatus [query]: string (opcional, enum: pending, inReview, reviewed) — Human-review state of an audit (filter value on the list endpoint).
- createdFrom [query]: string (opcional, format=date-time) — Only audits created at or after this time (ISO-8601).
- createdTo [query]: string (opcional, format=date-time) — Only audits created at or before this time (ISO-8601).
Sucesso 200:
- items: array<AuditListItem>
- total?: integer
- page: integer
- limit: integer
- totalPages?: integer
- hasMore: boolean
Erros (envelope: { error: { type, code, message, param? } }):
- 400: parameter_missing, parameter_invalid, account_invalid
- 401: authentication_required
- 403: permission_denied, permission_denied_role
- 503: service_unavailable
Gere código na linguagem do arquivo atual que:
1. Leia SYNAPSE_API_KEY do ambiente (não fixe o valor no código).
2. Chame o endpoint com requisição e resposta tipadas.
3. Mapeie o envelope de erros para exceções tipadas por código de status.
4. Adicione um teste de caminho feliz usando o token Bearer.